Retrieve own user profile
curl --request GET \
--url https://app.myhero.so/user/self-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/user/self-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/user/self-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"fbUid": "<string>",
"profile": {
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"pictureUrl": "<string>",
"avatarId": "<string>"
},
"settings": {
"editorFontSize": 123,
"themeId": 123,
"selectedSignature": "<string>",
"customSignature": {
"kind": "drawn",
"svgPath": "<string>",
"viewBox": "<string>"
}
},
"createdAt": 123,
"updatedAt": 123,
"onBoardedAt": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Users
Retrieve own user profile
Returns the full user document for the authenticated caller, including profile fields and editor settings such as font size, theme, tree ordering, and signature preferences.
GET
/
user
/
self-info
Retrieve own user profile
⌘I